
import "System"
import "System.IO"
import "DiscUtils"

function dir(fs)

	for d in each(fs:GetDirectories("")) do
		print(d)
	end	

	for d in each(fs:GetFiles("")) do
		print(d)
	end	

	print("------")
end

if img_exists() then
	img = img_open()
else
	img = img_create(5)
	img:Format("label1") --     512,   FAT32
end

intfs = img:Open()
extfs = get_extfs(false) --  -   


intfs:CreateDirectory("TEST")
intfs:CreateDirectory("TEST1")
intfs:CreateDirectory("TEST2")

dir(intfs)

intfs:DeleteDirectory("TEST1", false)

dir(intfs)

dir(extfs)


from = extfs:OpenFile("test.zip", FileMode.Open)
to = intfs:OpenFile("TEST2\\test.zip", FileMode.Create)

copy(from, to)


	